package io.zipcoder.interfaces;
/*
 * Create a `People` class.
 * The `People` class should instantiate an `ArrayList` field of `Person` objects named `personList`.
 * The `People` class should define a method named `add` which adds a `Person` to the `personList`.
 * The `People` class should define a method named `getCount` which returns the size of `personList`.
 * * The class should define a method named `remove` which makes use of a `long id` parameter to
 * remove a `Person` object with the respective `id` field.
 * The class should define a method named `remove` which makes use of a `Person person` parameter
 * to remove a respective `Person` object.
 *     * The class should define a method named `findById` which makes use of a `long id` parameter to
 *     return a `Person` object with the respective `id` field.
 *
 */


//import jdk.internal.jline.internal.TestAccessible;

import java.util.ArrayList;

public class People {

    ArrayList<Person> personList;

    public People() {
        personList = new ArrayList<Person>();
    }

    public void addPerson(Person p) {
        personList.add(p);
    }

    public int getCount() {
        return personList.size();
    }

/*
 * Create a `testRemoveByPerson` method which ensures that the `personList` in a `People` object is **depopulated** with a respective `Person` object following the invokation of the `remove` method.
 * The class should define a method named `remove` which makes use of a `Person person` parameter to remove a respective `Person` object.

 */

    public void removeByPerson(Person p) {
            Boolean flag = false;
            int i =0;

        for (Person p1 : personList) {
            i++;
            if (p1.getId() == p.getId()) {

                personList.remove(i);
                break;
            }

        }
            System.out.println("After removing the person updating size is - " +  "  " + personList.size());
    }

 /*
  * Create a `testRemoveById` method which ensures that the `personList` in a `People` object is **depopulated** with a respective
  * `Person` object following the invokation of the `remove` method.

  */

 public void removeById(long id) {

     for (Person p : personList) {

         if (p.getId() == id) {

             personList.remove(p);
             break;
         }

     }
 }

    /*
     *     * The class should define a method named `findById` which makes use of a `long id` parameter to
     *     return a `Person` object with the respective `id` field.
     *
     */
    public Person findById(long id) {
        Person tempPerson = null;

        for (Person p : personList) {

            if (p.getId() == id) {

              tempPerson =p;
              break;
            }

        }

        return tempPerson;
    }
/*
  In the `People` class,
   define a method named
    `getArray` which returns an array
    representation of the `personList` field.
 */
  public ArrayList<Person>  getArray ()
  {
      return personList ;
  }
   /*
    * In the `People` class, define a method named `removeAll` which clears our `personList` field.

    */
   public void removeAll()
    {
        personList.clear();
    }
}