package io.zipcoder.interfaces;

/*
 * Create a `Students` class.
 * The class should be an _unextendable_ subclass of the `People` class.
 * The class should _statically instantiate_ a `final` field named `INSTANCE` of type `Students`.
 * The class should define a _private nullary constructor_
 * The class should define a `getInstance` method which returns the `INSTANCE` field.
 */

public class Students extends People{
    private static final Students ourInstance = new Students();

    public static Students getInstance() {
        return ourInstance;
    }

    private Students() {
        ourInstance.addPerson(new Student("Ned Redmond", 1));
        ourInstance.addPerson(new Student("Seth Abrams", 2));
        ourInstance.addPerson(new Student("Akeem Cherry", 3));
        ourInstance.addPerson(new Student("Whitney Martinez", 4));
        ourInstance.addPerson(new Student("Nira Parikh", 5));
        ourInstance.addPerson(new Student("Connor Dunnigan", 6));
        ourInstance.addPerson(new Student("Christian Sheridan", 7));
        ourInstance.addPerson(new Student("Curtis Cook", 8));
        ourInstance.addPerson(new Student("Nuridalia Hernandez", 9));
        ourInstance.addPerson(new Student("Brandon DeFrancis", 10));
        ourInstance.addPerson(new Student("De'Jon Johnson", 11));
        ourInstance.addPerson(new Student("Demetrius Murray", 12));
        ourInstance.addPerson(new Student("Elliott Stansbury", 13));
        ourInstance.addPerson(new Student("Nathan Hall", 14));
        ourInstance.addPerson(new Student("Jae Joson", 15));
        ourInstance.addPerson(new Student("Jacob Anderson", 16));
        ourInstance.addPerson(new Student("Jose Bedolla", 17));
        ourInstance.addPerson(new Student("Jenn Chao", 18));
        ourInstance.addPerson(new Student("Jennifer Tinkler", 19));
        ourInstance.addPerson(new Student("Jonathan Hinds", 20));
        ourInstance.addPerson(new Student("Jay Samuels", 21));
        ourInstance.addPerson(new Student("Jevit Tith", 22));
        ourInstance.addPerson(new Student("Lauren Green", 23));
        ourInstance.addPerson(new Student("Kate Moore", 24));
        ourInstance.addPerson(new Student("Michelle DiMarino", 25));
        ourInstance.addPerson(new Student("Maggie Pierse", 26));
        ourInstance.addPerson(new Student("Nick Satinover", 27));
        ourInstance.addPerson(new Student("Chaitali Patel", 28));
        ourInstance.addPerson(new Student("Yesoda Sanka", 29));
        ourInstance.addPerson(new Student("Saurav Kamath", 30));
        ourInstance.addPerson(new Student("Sam Bhutani", 31));
        ourInstance.addPerson(new Student("Soujanya Buragapu", 32));
        ourInstance.addPerson(new Student("Steffon Williams", 33));
        ourInstance.addPerson(new Student("Zavon Malone", 34));
        ourInstance.addPerson(new Student("Thuy Kong", 35));
        ourInstance.addPerson(new Student("Thulasi Puppala", 36));
        ourInstance.addPerson(new Student("Trinh Tong", 37));
        ourInstance.addPerson(new Student("William Brown", 38));
        ourInstance.addPerson(new Student("Xzavia Cuello", 39));

    }
 /*
  * In the constructor of the `Students` class,
  * add all the students from your class so that calling `getArray` will return all the students from your cohort
  * Each student should have a _relatively_ unique `id` field.
  */


}
