package io.zipcoder.interfaces;

/*
--
### Part 5.0 - Test `Instructor`

        * Create an `Instructor` class such that:
            * `Instructor` implements the `Teacher` interface


        * In the `Instructor` class, add a concrete implementation of the `teach` method which invokes the
        * `learn` method on the specified `Learner` object.
        * `Instructor` should have a concrete implementation of the `lecture` method which invokes the `learn`
        * method on each of the elements in the specified array of `Learner` objects.
            * `numberOfHours` should be evenly split amongst the learners.
                * `double numberOfHoursPerLearner = numberOfHours / learners.length;`

---
 */



public class Instructor extends Person implements Teacher  {


    public void teach(Learner learner, double numberOfhours) {

        learner.learn(numberOfhours);

    }

    public void lecture(Learner[] learners, double numberOfHours) {

        double numberOfHoursPerLearner = numberOfHours / learners.length;
        //  for(String tvShow: tvShows) {
        for (Learner l : learners) {
            l.learn(numberOfHoursPerLearner);
        }
    }

}
