package io.zipcoder.interfaces;
/*
---
### Part 3.0 - Test `Student`
* Create a `StudentTest` class.
	* Create a `testImplementation` method that asserts that a `Student` is an `instanceof` a `Learner`.
        * Create a `Student` class
        * `Student` implements the `Learner` interface
        * Add a dummy implementation for the `learn` method
	* Create a `testInheritance` method that asserts that a `Student` is an `instanceof` a `Person`.
        * Make the `Student` class inherit from `Person`
        * In the `Student` class, add a field called `totalStudyTime` of type `double`
        * In the `Student` class, implementate the `learn` method which increments the `totalStudyTime` variable by
        * the specified `numberOfHours` argument.`
        * In the `Student` class, add a `getTotalStudyTime()` method which returns the `totalStudyTime` instance variable.

---
 */


public class Student  extends Person  implements Learner {
    double totalStudyTime;

    public Student(double totalStudyTime) {
        this.totalStudyTime = totalStudyTime;
    }

    public Student() {
        totalStudyTime =0.0;
    }

    public Student(String name, long id ) {
        super(name, id);
    }

    public void learn(double numberofHours) {

        totalStudyTime +=numberofHours ;
    }
    public double  getTotalStudyTime()
    {
      // double totalStudyTime;
        return totalStudyTime;
    }

}
