import io.zipcoder.interfaces.*;
import org.junit.Assert;
import org.junit.Test;
import static org.hamcrest.CoreMatchers.instanceOf;
import static org.junit.Assert.assertThat;

/*
 * Create a `InstructorTest` class.
 * Create a `testImplementation` method that asserts that an `Instructor` is an `instanceof` a `Teacher`.
 * Create a `testInheritance` method that asserts that a `Instructor` is an `instanceof` a `Person`.

 */
public class InstructorTest {
    @Test
    public void testImplementation()
    {
        Instructor ins=new Instructor();
        assertThat(ins, instanceOf(Teacher.class));
    }


/*
 * Create a `testInheritance` method that asserts that a `Instructor` is an `instanceof` a `Person`.
 * Make the `Instructor` a subclass of `Person`

 */
    @Test
    public void testInheritance()
    {
        Instructor ins=new Instructor();
        assertThat(ins, instanceOf(Person.class));
    }

/*

 * 	Create a `testTeach` method that ensures when an `Instructor` invokes the `teach` method, a respective student's
 * `totalStudyTime` instance variable is incremented by the specified `numberOfHours`.
 */
    @Test
    public void testTeach()
    {
        Instructor in=new Instructor() ;

        in.teach( new Student() , 10);
    }

/*
 * Create a `testLecture` method that ensures when an `Instructor` invokes the `lecture` method, a respective array
 * of students' `totalStudyTime` instance variables is incremented by `numberOfHours/students.length`.
 */
    @Test
    public void testLecture()
    {
        //Students students = Students.getInstance ();
        Instructor in=new Instructor() ;
        //in.lecture(  Students.getInstance(), 100.0);
    }
}
